> For the complete documentation index, see [llms.txt](https://developers.aixchain.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.aixchain.com/http-api/api-list/accounts/createaccount.md).

# CreateAccount

Create an account. Uses an already activated account to create a new account

**Return**: Transaction object

> * The expiration time of the http api creation transaction is 1 minute, so to complete the on-chain, you need to complete gettransactionsign and broadcasttransaction within 1 minute after the creation.

**BODY PARAMS**

`{`

**`owner_address`**` ``string`

**`account_address`**` ``string`

**`visible`**` ``boolean (optional)`

**`permission_id`**` ``int32 (optional)`

`}`

**Note:**

* **owner\_address**  is an activated account，converted to a hex String.If the owner\_address has enough bandwidth obtained by freezing Aixc, then creating an account will only consume bandwidth , otherwise, 0.1 Aixc will be burned to pay for bandwidth, and at the same time, 1 Aixc will be required to be created.
* **account\_address** is the address of the new account, converted to a hex string, this address needs to be calculated in advance
* **visible** is optional, whether the address is in base58 format
* **permission\_id** is optional,for multi-signature use

**Example:**

curl --request POST\
\--url <http://172.104.51.182:16667/wallet/createaccount>\
\--header 'Accept: application/json'\
\--header 'Content-Type: application/json'\
\--data ' { "owner\_address": "414203485a535a4072C9FBFaADDfe2A010AD0BcdB0", "account\_address": "414203485a535a4072C9FBFaAEEfe2A010AD0BcdC0" }

**Input:**&#x20;

`{`

`"owner_address": "414203485a535a4072C9FBFaADDfe2A010AD0BcdB0",`&#x20;

`"account_address": "414203485a535a4072C9FBFaAEEfe2A010AD0BcdC0"`

`}`

**Response:**&#x20;

{

&#x20;"visible": false, "txID": "a5d95d0ba8370f1b585f4cc427d3827b97036d73cc980b97390c603d0403b0c9", "raw\_data": { "contract": \[ { "parameter": { "value": { "owner\_address": "414203485a535a4072c9fbfaaddfe2a010ad0bcdb0", "account\_address": "414203485a535a4072c9fbfaaeefe2a010ad0bcdc0" }, "type\_url": "type.googleapis.com/protocol.AccountCreateContract" }, "type": "AccountCreateContract" } ], "ref\_block\_bytes": "d576", "ref\_block\_hash": "7aa71a8b97000d36", "expiration": 1639056939000, "timestamp": 1639056881436 }, "raw\_data\_hex": "0a02d57622087aa71a8b97000d3640f8afa0fbd92f5a6612640a32747970652e676f6f676c65617069732e636f6d2f70726f746f636f6c2e4163636f756e74437265617465436f6e7472616374122e0a15414203485a535a4072c9fbfaaddfe2a010ad0bcdb01215414203485a535a4072c9fbfaaeefe2a010ad0bcdc0709cee9cfbd92f"&#x20;

}

\=> Continue you call **gettransactionsign** API then call **broadcasttransaction** API

We will the final result: The account created success on WEL network.

`{`

`"result":true,"txid":"a5d95d0ba8370f1b585f4cc427d3827b97036d73cc980b97390c603d0403b0c9"`

`}`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.aixchain.com/http-api/api-list/accounts/createaccount.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
